import n from "../../../@babel/runtime/helpers/esm/toConsumableArray.mjs";
import { PresetColors as r } from "../theme/interface/presetColors.mjs";
const s = r.map((e) => `${e}-inverse`), t = ["success", "processing", "error", "default", "warning"];
function c(e) {
  return (arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : !0) ? [].concat(n(s), n(r)).includes(e) : r.includes(e);
}
function l(e) {
  return t.includes(e);
}
export {
  t as PresetStatusColorTypes,
  c as isPresetColor,
  l as isPresetStatusColor
};
